#define MAXNOELEMS      (50)

typedef enum {
              DISPLAYSTRING,
              OBJECTID,
              TIMETICKS,
              OPAQUE,
              NULLOBJ,
              GAUGE,
              OCTETSTRING,
              COUNTER,
              IPADDR,
              INTEGER,
              AGGREGATE,
              NOTYPE,
              NETADDR
             } OIDTYPE;

typedef enum {
              RONLY,
              RWRITE,
              WRITEONLY,
              NOACCESS,
              UNKNOWN = -1
             } OIDACCESS;

typedef enum {
              MANDATORY,
              OPTIONAL,
              OBSOLETE,
              DEPRECATED
             } OIDSTATUS;

typedef enum {
               LEAFTYPE,
                ROWTYPE,
                COLTYPE,
                ARRAYTYPE
             } OIDFLAG;

typedef enum {
                RANGESET,NOSUBTYPE,ENUMSET
             } OIDSUBTYPE;

typedef struct {
                char *EnumName;
                 int  EnumValue;
               } ENUMDATA;

typedef struct {
                 int Lower;
                 int Upper;
               } PAIROFINTS;

typedef union {
                      long  RecPtr;
                  ENUMDATA  EnumData;
                      char *IndexName;
                      char *Comments;
                PAIROFINTS Pair;
              } OIDEXTRA;

typedef struct {
                        char *OIDname;
                        char *OIDoid;
                   OIDACCESS  OIDaccess;
                     OIDTYPE  OIDtype;
                  OIDSUBTYPE  OIDsubtype;
                   OIDSTATUS  OIDstatus;
                     OIDFLAG  OIDflag;
                    OIDEXTRA  OIDcomments;
                unsigned int  NoElems;
                    OIDEXTRA  extra[MAXNOELEMS];
               } OIDINFO;
