#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "MibCompiler.h"
#include "symbol.h"


static SYMBOL *(HeadSymbol[MAXSYMBOLTABLES]) = {0,};


SYMBOL *GetNextSymbol(SYMBOL *pSym,int nWhich)
 {
    return( pSym ? (SYMBOL *)pSym->Next : HeadSymbol[nWhich] );
 }


SYMBOL *FindSymbol(char *pName,int nWhich)
 {
    SYMBOL *pS;
    pS = HeadSymbol[nWhich];
    for( ; pS && strcmp(pS->SymbolName,pName); pS = (SYMBOL *)pS->Next ) ;
    return(pS);
 }


void AddToSymbolTable(SYMBOL *pS,int nWhich)
 {
    pS->Next = (struct symbol *) HeadSymbol[nWhich];
    HeadSymbol[nWhich] = pS;
 }
