typedef struct symbol {
                        struct symbol *Next;
                                  int  DefinedLineNo;
                                 char *SymbolName;
                                 LIST *SymbolValue;
                      } SYMBOL;

/* List of defined Symbol Tables in the system... */
#define OIDTABLE	0
#define	ARRAYTABLE	1
#define NEWTYPES	2
#define ROWTABLE	3

#define MAXSYMBOLTABLES	4


#if defined(__STDC__)
SYMBOL *FindSymbol(char *,int);
void AddToSymbolTable(SYMBOL *,int);
SYMBOL *GetNextSymbol(SYMBOL *,int);
#else
SYMBOL *FindSymbol();
void AddToSymbolTable();
SYMBOL *GetNextSymbol();
#endif

